<script setup lang="ts">
import { ref } from 'vue';
import axios from 'axios'

const valid = ref(false)
const celsius = ref(0)
const result = ref(0)
type ReturnData = {
    celsius:number
    fahrenheit:number
}

function convert(celsius:number):number {
    return (celsius*9.0/5) +32
}

const callConvert = async ()=>{
    try{
    //celsius.value = convert(celsius.value)\
    console.log('http://localhost:3000/temperature/convert/' + celsius.value)
    const res = await axios.post('http://localhost:3000/temperature/convert',{celsius:celsius.value})
        const convertResult = res.data as ReturnData
        result.value = convertResult.fahrenheit
    } catch(e){
        console.log(e)
    }
}

</script>


<template>
    <v-form>
        <v-container>
            <v-row>
                <v-col cols="12" md="4">
                    <v-text-field v-model.number="celsius"
                        :rules="[(v) => !!v || 'Celsius is not empty!!!', (v) => !isNaN(parseFloat(v)) || 'Celsius must be number!!!']"
                        label="Celsius" required hide-details></v-text-field>
                </v-col>

                <v-col cols="12" md="4">
                    <v-btn @click = "callConvert">Calculate</v-btn>
                </v-col>

                <v-col cols="12" md="4">
                    <div>{{ result }}</div>
                </v-col>
            </v-row>
        </v-container>
    </v-form>
</template>

